> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update a service request for Rent Manager

PUT https://api.propexo.com/v1/service-requests/rentmanager/{service_request_id}
Content-Type: application/json

Update a service request for Rent Manager

| Method |
|---|
| POST /ServiceManagerIssues |

Reference: https://docs.propexo.com/api-reference/rent-manager/service-requests/update-a-service-request-for-rent-manager

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `service_request_id` (string, required) — The Propexo unique identifier for the service request

### Body (application/json)

This endpoint expects a _v1_service-requests_rentmanager_{service_request_id}_put_input.

- `service_description` (string, required) — A description of the service request
- `service_details` (string, required) — Details about the service request
- `access_is_authorized` (boolean, optional) — Whether or not the tenant has granted permission to enter the unit associated with the service request
- `date_completed` (string, optional) — The date the service request was completed
- `date_due` (string, optional) — The due date associated with the service request
- `date_scheduled` (string, optional) — The date the service request is scheduled
- `service_request_category_id` (string, optional) — The Propexo unique identifier for the service request category
- `service_request_priority_id` (string, optional) — The Propexo unique identifier for the service request priority
- `service_request_status_id` (string, optional) — The Propexo unique identifier for the service request status
- `vendor_id` (string, optional) — The Propexo unique identifier for the vendor. Must be associated with the property_id passed in
- `employee_id` (string, optional) — The Propexo unique identifier for the employee

## Response

### 200

Successful response

- `meta` (V1ServiceRequestsRentmanagerServiceRequestIdPutOutputMeta, required)
- `result` (V1ServiceRequestsRentmanagerServiceRequestIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ServiceRequestsRentmanagerServiceRequestIdPutOutputMeta

- `job_id` (string, required)

### V1ServiceRequestsRentmanagerServiceRequestIdPutOutputResult

- `service_request_id` (string, required) — The Propexo unique identifier for the service request
- `service_description` (string, required) — A description of the service request
- `service_details` (string, required) — Details about the service request
- `access_is_authorized` (boolean, optional) — Whether or not the tenant has granted permission to enter the unit associated with the service request
- `date_completed` (string, optional) — The date the service request was completed
- `date_due` (string, optional) — The due date associated with the service request
- `date_scheduled` (string, optional) — The date the service request is scheduled
- `service_request_category_id` (string, optional) — The Propexo unique identifier for the service request category
- `service_request_priority_id` (string, optional) — The Propexo unique identifier for the service request priority
- `service_request_status_id` (string, optional) — The Propexo unique identifier for the service request status
- `vendor_id` (string, optional) — The Propexo unique identifier for the vendor. Must be associated with the property_id passed in
- `employee_id` (string, optional) — The Propexo unique identifier for the employee

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "service_description": "Leaking kitchen faucet repair",
  "service_details": "The kitchen faucet in unit 4B is leaking and needs to be fixed. Please check the valve and replace any worn-out washers."
}
```

**Response**

```json
{
  "meta": {
    "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef56gh78"
  },
  "result": {
    "service_request_id": "sr-20240601-0042",
    "service_description": "Leaking kitchen faucet repair",
    "service_details": "The kitchen faucet in unit 4B is leaking and needs to be fixed. Please check the valve and replace any worn-out washers.",
    "access_is_authorized": true,
    "date_completed": "2024-06-10T14:00:00Z",
    "date_due": "2024-06-12T17:00:00Z",
    "date_scheduled": "2024-06-11T09:00:00Z",
    "service_request_category_id": "cat-7890abcd-1234-ef56-7890-abcdef123456",
    "service_request_priority_id": "prio-1234abcd-5678-ef90-1234-abcdef567890",
    "service_request_status_id": "status-5678abcd-1234-ef56-7890-abcdef789012",
    "vendor_id": "vendor-3456abcd-7890-ef12-3456-abcdef345678",
    "employee_id": "emp-9012abcd-3456-ef78-9012-abcdef901234"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/service-requests/rentmanager/service_request_id"

payload = {
    "service_description": "Leaking kitchen faucet repair",
    "service_details": "The kitchen faucet in unit 4B is leaking and needs to be fixed. Please check the valve and replace any worn-out washers."
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/service-requests/rentmanager/service_request_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"service_description":"Leaking kitchen faucet repair","service_details":"The kitchen faucet in unit 4B is leaking and needs to be fixed. Please check the valve and replace any worn-out washers."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/service-requests/rentmanager/service_request_id"

	payload := strings.NewReader("{\n  \"service_description\": \"Leaking kitchen faucet repair\",\n  \"service_details\": \"The kitchen faucet in unit 4B is leaking and needs to be fixed. Please check the valve and replace any worn-out washers.\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/service-requests/rentmanager/service_request_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"service_description\": \"Leaking kitchen faucet repair\",\n  \"service_details\": \"The kitchen faucet in unit 4B is leaking and needs to be fixed. Please check the valve and replace any worn-out washers.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/service-requests/rentmanager/service_request_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"service_description\": \"Leaking kitchen faucet repair\",\n  \"service_details\": \"The kitchen faucet in unit 4B is leaking and needs to be fixed. Please check the valve and replace any worn-out washers.\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/service-requests/rentmanager/service_request_id', [
  'body' => '{
  "service_description": "Leaking kitchen faucet repair",
  "service_details": "The kitchen faucet in unit 4B is leaking and needs to be fixed. Please check the valve and replace any worn-out washers."
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/service-requests/rentmanager/service_request_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"service_description\": \"Leaking kitchen faucet repair\",\n  \"service_details\": \"The kitchen faucet in unit 4B is leaking and needs to be fixed. Please check the valve and replace any worn-out washers.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "service_description": "Leaking kitchen faucet repair",
  "service_details": "The kitchen faucet in unit 4B is leaking and needs to be fixed. Please check the valve and replace any worn-out washers."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/service-requests/rentmanager/service_request_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```